<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_birthdate_include.php
| Author: Digitanium
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if ($profile_method == "input") {
	$user_province = (isset($user_data['user_province']) && isNum($user_data['user_province']) ? $user_data['user_province'] : 0);
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['uf_province'].":</td>\n";
	echo "<td class='tbl'>\n<select name='user_province' class='textbox'>\n";
	echo "<option value='0'".(!$user_province ? " selected='selected'" : "").">".$locale['uf_province_field']."</option>\n";
	echo "<option value='0'>".$locale['uf_province_field3']."</option>\n";
	foreach ($locale['uf_province_array'] as $province_id => $province_name){
		echo "<option value='".$province_id."'".($province_id==$user_province ? " selected='selected'" : "").">".$province_name."</option>\n";
	}
	echo "<option value='0'>".$locale['uf_province_field2']."</option>\n";
	echo "<option value='0'>".$locale['uf_province_field4']."</option>\n";
	foreach ($locale['uf_province_array2'] as $province_id => $province_name){
		echo "<option value='".$province_id."'".($province_id==$user_province ? " selected='selected'" : "").">".$province_name."</option>\n";
	}
	echo "</select>\n</td>\n";
	echo "</tr>\n";
} elseif ($profile_method == "display") {
	if (isset($user_data['user_province']) && $user_data['user_province'] != "0") {
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['uf_province']."</td>\n";
		echo "<td align='right' class='tbl1'><img src='".BASEDIR."images/province/".$user_data['user_province'].".png' /><br />".$locale['uf_province_array3'][number_format($user_data['user_province'])]."</td>\n";
		echo "</tr>\n";
	}
} elseif ($profile_method == "validate_insert" || $profile_method == "validate_update") {
	$user_province = (isset($_POST['user_province']) && isNum($_POST['user_province']) ? $_POST['user_province'] : "0");
	if ($profile_method == "validate_insert") {
		$db_fields .= ", user_province";
		$db_values .= ", '".$user_province."'";
	} else {
		$db_values .= ", user_province='".$user_province."'";
	}
}
?>